Bug 385441 - Gnumeric CSV import is broken on non-English locales
Gnumeric CSV import is broken on non-English locales
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 15:01 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.6.3-13.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test data (57 bytes, application/octet-stream)
2007-11-15 15:01 EST, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2007-11-15 15:01:25 EST
Description of problem:
I am running Fedora 8 using the French locale (fr_FR.UTF-8). When opening a CSV
file that I have used before successfully with the computer set to the
en_US.UTF-8 locale, I noticed that I get a file with the right number of rows,
but a single column -- the comma-separated values are not separated.

Version-Release number of selected component (if applicable):
gnumeric-1.6.3-12.fc8

How reproducible:
Always

Steps to Reproduce:
1. Start Gnumeric, enter some data with nrows >= 1, ncols >= 1
2. Save to CSV format
3. LANG=fr_FR.UTF-8 gnumeric filename.csv
  
Actual results:
As described above, the columns are not separated

Expected results:
Columns should be separated

Additional info:
Sample file attached. This happens regardless of end-of-line separator (the end
of line is detected just fine), thus whether the CSV file is generated by a
Windows program or not.
Comment 1 Michel Alexandre Salim 2007-11-15 15:01:25 EST
Created attachment 260341 [details]
Test data
Comment 2 Hans de Goede 2007-11-15 16:54:40 EST
Thanks for reporting this, 1.6.3-13, which fixes this should show up in
updates-testing soon, when it does the updates system will add a notice here, to
test it do:
yum --enablerepo=updates-testing update gnumeric

Comment 3 Fedora Update System 2007-11-17 00:31:26 EST
gnumeric-1.6.3-13.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gnumeric'
Comment 4 Fedora Update System 2007-11-20 12:49:32 EST
gnumeric-1.6.3-13.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.